#
# Conditional build:
%bcond_with	gimp	# build as gimp plugin (outdated, broken)
#
Summary:	An X Window System tool for creating morphed images
Summary(pl.UTF-8):	Narzędzie do morphingu pod X Window System
Name:		xmorph
Version:	20060817
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	https://downloads.sourceforge.net/xmorph/%{name}_%{version}.tar.gz
# Source0-md5:	b4128d90c458be6d2fca9fc6045b6ddb
Patch0:		%{name}-gimp.patch
Patch1:		%{name}-libname.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-format.patch
Patch4:		%{name}-inline.patch
URL:		https://xmorph.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	fftw3-devel >= 3.0
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.2}
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRequires:	waili-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir)/plug-ins
%endif

%description
Xmorph is a digital image warping (aka morphing) program. Xmorph
provides the tools needed and comprehensible instructions for you to
create morphs: changing one image into another. Xmorph runs under the
X Window System.

%description -l pl.UTF-8
xmorph jest programem do cyfrowego przekształcania obrazów
(morphingu). Pakiet dostarcza potrzebne narzędzia oraz opis jak
tworzyć przekształcenia. Działa w środowisku X Window System.

%package gtk
Summary:	gtkmorph - GTK+ version of xmorph
Summary(pl.UTF-8):	gtkmorph - wersja xmorpha oparta na GTK+
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description gtk
gtkmorph - GTK+ version of xmorph.

%description gtk -l pl.UTF-8
gtkmorph - wersja xmorpha oparta na GTK+.

%package devel
Summary:	Header files for xmorph library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki xmorph
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for xmorph library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki xmorph.

%package static
Summary:	Static xmorph library
Summary(pl.UTF-8):	Statyczna biblioteka xmorph
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static xmorph library.

%description static -l pl.UTF-8
Statyczna biblioteka xmorph.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

echo 'AM_DEFUN([AM_PATH_GTK],[$3])' > acinclude.m4

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gtk=2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo '.so xmorph.1' > $RPM_BUILD_ROOT%{_mandir}/man1/morph.1

# gtkmorph locales despite the xmorph name
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HISTORY README TODO libmorph/README.libmorph debian/changelog
%attr(755,root,root) %{_bindir}/morph
%attr(755,root,root) %{_bindir}/xmorph
%attr(755,root,root) %{_libdir}/libxmorph.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmorph.so.1
%{_datadir}/xmorph
%{_mandir}/man1/morph.1*
%{_mandir}/man1/xmorph.1*
%{_infodir}/xmorph.info*
%if %{with gimp}
%attr(755,root,root) %{gimpplugindir}/xmorph
%endif

%files gtk -f %{name}.lang
%defattr(644,root,root,755)
%doc gtkmorph/README
%attr(755,root,root) %{_bindir}/gtkmorph
%{_mandir}/man1/gtkmorph.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmorph.so
%{_libdir}/libxmorph.la
%{_includedir}/xmorph

%files static
%defattr(644,root,root,755)
%{_libdir}/libxmorph.a
%changelog
* Sun Feb 04 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmorph.git;a=log;h=master

* Sat Feb 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 6bb3416
- updated to 20060817

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 516d232
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ed1f2a7
- converted to UTF-8

* Sat Feb 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 8227a22
- updated for 20060130

* Sat Feb 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 8774519
- updated to 20060103, updated libname patch
- use waili and fftw libraries in gtkmorph

* Sat Nov 27 2004 saq <saq@pld-linux.org> 2901aab
- massive attack: add missing gtk+2-devel epoch in BR

* Sun Oct 10 2004 paladine <paladine@pld-linux.org> 121986e
- added missing BR: autoconf, automake, libtool

* Sat Sep 04 2004 Jakub Bogusz <qboosh@pld-linux.org> e4b562b
- updated to 20040717, updated libname patch

* Sat Sep 04 2004 Jakub Bogusz <qboosh@pld-linux.org> c1f6bb1
- updated for 20040717

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 607b65c
- updated to 20040110 (quite different fork, but actively developed now)
- removed obsolete patches, added gimp,info,libname ones
- added -gtk,-devel,-static subpackages
- gimp plugin disabled for now - too broken

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 0cd6d8e
- rename libmorph to libxmorph to avoid conflict with libmorph* packages

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 1145ac0
- direntry unification

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> a018e33
- gimp1.3 patch replaced by gimp patch, with more changes
  (it seems that 2001jul27 was different fork with only gimp updates)

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 7217fe0
- obsolete

* Sun Apr 11 2004 Jakub Bogusz <qboosh@pld-linux.org> e8e1d9d
- updated URLs (TODO: update to existing version)

* Fri Mar 19 2004 grzegol <grzegol@pld-linux.org> 6b4accb
- added epoch to gimp requires

* Sun Feb 15 2004 eothane <eothane@pld-linux.org> 9727d5a
- bcond style, changelog cleanups

* Fri Aug 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 6863a83
- s/gimp-config/gimptool/ (needed for 1.3.17+), release 3

* Thu Jun 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 669c8e9
- updated gimp1.3 patch to work with 1.3.15
- release 2

* Wed May 28 2003 Michal Moskal <michal@moskal.me> be2897a
- massive attack: source-md5

